Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.inspect.swingui
[Java] Class TableMap

    java.lang.Object
      javax.swing.table.AbstractTableModel
          groovy.inspect.swingui.TableMap

All Implemented Interfaces:
  TableModelListener

    public class TableMap
    extends AbstractTableModel

In a chain of data manipulators some behaviour is common. TableMap provides most of this behavour and can be subclassed by filters that only need to override a handful of specific methods. TableMap implements TableModel by routing all requests to its model, and TableModelListener by routing all events to its listeners. Inserting a TableMap which has not been subclassed into a chain of table filters should have no effect.

Authors:
  Philip Milne

Version:
  1.11 01/23/03

Field Summary
`protected TableModel` | `model`

Method Summary
`Class` | `getColumnClass(int aColumn)`
`int` | `getColumnCount()`
`String` | `getColumnName(int aColumn)`
`TableModel` | `getModel()`
`int` | `getRowCount()`
`Object` | `getValueAt(int aRow, int aColumn)`
`boolean` | `isCellEditable(int row, int column)`
`void` | `setModel(TableModel model)`
`void` | `setValueAt(Object aValue, int aRow, int aColumn)`
`void` | `tableChanged(TableModelEvent e)`

Methods inherited from class AbstractTableModel
getListeners, getColumnName, getColumnClass, isCellEditable, setValueAt, addTableModelListener, removeTableModelListener, fireTableStructureChanged, fireTableChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableCellUpdated, findColumn, getTableModelListeners, fireTableDataChanged, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getRowCount, getColumnCount, getValueAt

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### model

    protected TableModel model

Method Detail

### getColumnClass

    public Class getColumnClass(int aColumn)

### getColumnCount

    public int getColumnCount()

### getColumnName

    public String getColumnName(int aColumn)

### getModel

    public TableModel getModel()

### getRowCount

    public int getRowCount()

### getValueAt

    public Object getValueAt(int aRow, int aColumn)

### isCellEditable

    public boolean isCellEditable(int row, int column)

### setModel

    public void setModel(TableModel model)

### setValueAt

    public void setValueAt(Object aValue, int aRow, int aColumn)

### tableChanged

    public void tableChanged(TableModelEvent e)

Copyright © 2003-2010 The Codehaus. All rights reserved.